Invoices & invoice payments

Get Invoice Payments

Returns the org's invoice payments with payable amounts.

GEThttps://api.toku.com/hris/get-invoice-payments

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-invoice-payments?status=DRAFT' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "invoices": [
    {
      "approvalRevision": 0,
      "invoicePaymentID": "string",
      "roleInOrgID": "string",
      "externalInvoiceID": "string",
      "contractorEmail": "string",
      "contractorName": "string",
      "invoiceNumber": "string",
      "invoiceDate": "string",
      "dueDate": "string",
      "totalAmount": "string",
      "currencyCode": "string",
      "status": "string",
      "reason": "string",
      "rejectionReason": "string",
      "autoApproved": true,
      "notes": "string",
      "submissionTimestamp": "string",
      "payoutHrisBankAccountId": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "roleInOrg": {
        "hrAutomationOnly": true,
        "isServiceSeat": true,
        "invoiceApproverRoutingUpdatedAt": "string",
        "legacyMigratedAt": "string",
        "legacyModelID": 0,
        "roleInOrgID": "string",
        "personID": "string",
        "orgID": "string",
        "invitedByInvestorID": "string",
        "invitedByRecipientID": "string",
        "roleInOrgExternalID": 0,
        "externalEmployeeID": "string",
        "positionID": "string",
        "jobTitle": "string",
        "country": "string",
        "countryCode": "string",
        "preferredInvoiceCurrency": "string",
        "status": "string",
        "lifecycleStatus": "string",
        "workEmail": "string",
        "department": "string",
        "legalEntity": "string",
        "payrollEntity": "string",
        "contractEntityID": "string",
        "onboarded": true,
        "isTerminated": true,
        "privilegedAdmin": true,
        "isPrimaryAdmin": true,
        "isOrgMarketMaker": true,
        "role": "string",
        "employmentType": "string",
        "revokedAt": "string",
        "createdAt": "string",
        "updatedAt": "string",
        "payrollEmployeeID": "string",
        "hasWelcomeEmailSent": true,
        "subEmploymentType": "string",
        "remarks": "string",
        "isITAdmin": true,
        "isExternalEmployee": true,
        "employeeSyncedSource": "string",
        "investorFullName": "string",
        "baseSalary": "string",
        "baseSalaryCurrency": "string",
        "baseSalaryPaymentType": "string",
        "baseSalaryTokenTypeID": "string",
        "baseSalaryTokenSymbol": "string",
        "baseSalaryTokenNetwork": "string",
        "baseSalaryPeriod": "string",
        "stablecoinPayPercentage": 0,
        "maxStablecoinPercentage": 0,
        "taxMethod": "string",
        "withholdingPercentage": "string",
        "lastLogin": "string",
        "lastTestTxReminderBy": "string",
        "lastTestTxReminderAt": "string",
        "payrollFileNumber": "string",
        "externalPayrollId": "string",
        "lastOnboardingReminderBy": "string",
        "lastOnboardingReminderAt": "string",
        "address": "string",
        "payrollGroup": "string",
        "lastInactiveWalletReminderBy": "string",
        "lastInactiveWalletReminderAt": "string",
        "recipientType": "string",
        "receiveNotificationEmails": true,
        "receiveInAppNotifications": true,
        "notificationEmailFrequency": "string",
        "receiveSlackNotifications": true,
        "selfServeContractorOnboardingStatus": "string",
        "selfServeContractorOnboardingCompletedAt": "string",
        "selfServeWelcomeEmailSentAt": "string",
        "numberOfPayPeriodsPerYear": 0,
        "managerRoleInOrgID": "string",
        "managerPath": [
          "string"
        ],
        "person": {
          "personID": "string",
          "givenName": "string",
          "familyName": "string",
          "middleName": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "legacyMigratedAt": "string",
          "legacyModelID": 0,
          "mergedIntoPersonID": "string",
          "mergedAt": "string",
          "fullName": "string"
        }
      },
      "totalPayableAmount": 0,
      "totalPayableExchangeRate": 0
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

statusstringrequired

Available options: DRAFT, PENDING, APPROVED, REJECTED, CANCELLED, FAILED, COMPLETED

Response

200Successful response
invoicesobject[]required
Show child attributes
approvalRevisionintegerrequired
invoicePaymentIDstringrequired
roleInOrgIDstringrequired
externalInvoiceIDstringrequired
contractorEmailstringrequired
contractorNamestringrequired
invoiceNumberstringrequired
invoiceDatestringrequired
dueDatestring | nullrequired
totalAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

currencyCodestringrequired
lineItemsanyrequired
statusstringrequired
reasonstring | nullrequired
rejectionReasonstring | nullrequired
autoApprovedbooleanrequired
notesstring | nullrequired
attachmentsanyrequired
submissionTimestampstringrequired
payoutHrisBankAccountIdstring | nullrequired
payoutBankSnapshotanyrequired
billToSnapshotanyrequired
createdAtstringrequired
updatedAtstringrequired
roleInOrgobject
Show child attributes
hrAutomationOnlybooleanrequired
isServiceSeatbooleanrequired
invoiceApproverRoutingUpdatedAtstring | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
roleInOrgIDstringrequired
personIDstringrequired
orgIDstringrequired
invitedByInvestorIDstring | nullrequired
invitedByRecipientIDstring | nullrequired
roleInOrgExternalIDintegerrequired
externalEmployeeIDstring | nullrequired
positionIDstring | nullrequired
jobTitlestring | nullrequired
countrystring | nullrequired
countryCodestring | nullrequired
preferredInvoiceCurrencystring | nullrequired
statusstring | nullrequired
lifecycleStatusstring | nullrequired
workEmailstring | nullrequired
departmentstring | nullrequired
legalEntitystring | nullrequired
payrollEntitystring | nullrequired
contractEntityIDstring | nullrequired
onboardedbooleanrequired
isTerminatedbooleanrequired
privilegedAdminbooleanrequired
isPrimaryAdminbooleanrequired
isOrgMarketMakerbooleanrequired
rolestringrequired
employmentTypestring | nullrequired
revokedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
payrollEmployeeIDstring | nullrequired
hasWelcomeEmailSentbooleanrequired
subEmploymentTypestring | nullrequired
remarksstring | nullrequired
isITAdminbooleanrequired
isExternalEmployeebooleanrequired
employeeSyncedSourcestring | nullrequired
investorFullNamestring | nullrequired
baseSalarystring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

baseSalaryCurrencystring | nullrequired
baseSalaryPaymentTypestringrequired
baseSalaryTokenTypeIDstring | nullrequired
baseSalaryTokenSymbolstring | nullrequired
baseSalaryTokenNetworkstring | nullrequired
baseSalaryPeriodstring | nullrequired
stablecoinPayPercentagenumber | nullrequired
maxStablecoinPercentagenumber | nullrequired
taxMethodstring | nullrequired
withholdingPercentagestring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

lastLoginstring | nullrequired
lastTestTxReminderBystring | nullrequired
lastTestTxReminderAtstring | nullrequired
payrollFileNumberstring | nullrequired
externalPayrollIdstring | nullrequired
lastOnboardingReminderBystring | nullrequired
lastOnboardingReminderAtstring | nullrequired
addressstring | nullrequired
payrollGroupstring | nullrequired
lastInactiveWalletReminderBystring | nullrequired
lastInactiveWalletReminderAtstring | nullrequired
recipientTypestring | nullrequired
receiveNotificationEmailsbooleanrequired
receiveInAppNotificationsbooleanrequired
notificationEmailFrequencystringrequired
receiveSlackNotificationsbooleanrequired
selfServeContractorOnboardingStatusstringrequired
selfServeContractorOnboardingCompletedAtstring | nullrequired
selfServeWelcomeEmailSentAtstring | nullrequired
numberOfPayPeriodsPerYearintegerrequired
managerRoleInOrgIDstring | nullrequired
managerPathstring[]required
personobjectrequired
Show child attributes
personIDstringrequired
givenNamestringrequired
familyNamestringrequired
middleNamestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
mergedIntoPersonIDstring | nullrequired
mergedAtstring | nullrequired
fullNamestringrequired
totalPayableAmountnumberrequired
totalPayableCurrencyCodeanyrequired
totalPayableExchangeRatenumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits